import {
  HttpRequest as __HttpRequest,
  HttpResponse as __HttpResponse,
} from "@smithy/protocol-http";
import { SerdeContext as __SerdeContext } from "@smithy/types";
import {
  CancelRotateSecretCommandInput,
  CancelRotateSecretCommandOutput,
} from "../commands/CancelRotateSecretCommand";
import {
  CreateSecretCommandInput,
  CreateSecretCommandOutput,
} from "../commands/CreateSecretCommand";
import {
  DeleteResourcePolicyCommandInput,
  DeleteResourcePolicyCommandOutput,
} from "../commands/DeleteResourcePolicyCommand";
import {
  DeleteSecretCommandInput,
  DeleteSecretCommandOutput,
} from "../commands/DeleteSecretCommand";
import {
  DescribeSecretCommandInput,
  DescribeSecretCommandOutput,
} from "../commands/DescribeSecretCommand";
import {
  GetRandomPasswordCommandInput,
  GetRandomPasswordCommandOutput,
} from "../commands/GetRandomPasswordCommand";
import {
  GetResourcePolicyCommandInput,
  GetResourcePolicyCommandOutput,
} from "../commands/GetResourcePolicyCommand";
import {
  GetSecretValueCommandInput,
  GetSecretValueCommandOutput,
} from "../commands/GetSecretValueCommand";
import {
  ListSecretsCommandInput,
  ListSecretsCommandOutput,
} from "../commands/ListSecretsCommand";
import {
  ListSecretVersionIdsCommandInput,
  ListSecretVersionIdsCommandOutput,
} from "../commands/ListSecretVersionIdsCommand";
import {
  PutResourcePolicyCommandInput,
  PutResourcePolicyCommandOutput,
} from "../commands/PutResourcePolicyCommand";
import {
  PutSecretValueCommandInput,
  PutSecretValueCommandOutput,
} from "../commands/PutSecretValueCommand";
import {
  RemoveRegionsFromReplicationCommandInput,
  RemoveRegionsFromReplicationCommandOutput,
} from "../commands/RemoveRegionsFromReplicationCommand";
import {
  ReplicateSecretToRegionsCommandInput,
  ReplicateSecretToRegionsCommandOutput,
} from "../commands/ReplicateSecretToRegionsCommand";
import {
  RestoreSecretCommandInput,
  RestoreSecretCommandOutput,
} from "../commands/RestoreSecretCommand";
import {
  RotateSecretCommandInput,
  RotateSecretCommandOutput,
} from "../commands/RotateSecretCommand";
import {
  StopReplicationToReplicaCommandInput,
  StopReplicationToReplicaCommandOutput,
} from "../commands/StopReplicationToReplicaCommand";
import {
  TagResourceCommandInput,
  TagResourceCommandOutput,
} from "../commands/TagResourceCommand";
import {
  UntagResourceCommandInput,
  UntagResourceCommandOutput,
} from "../commands/UntagResourceCommand";
import {
  UpdateSecretCommandInput,
  UpdateSecretCommandOutput,
} from "../commands/UpdateSecretCommand";
import {
  UpdateSecretVersionStageCommandInput,
  UpdateSecretVersionStageCommandOutput,
} from "../commands/UpdateSecretVersionStageCommand";
import {
  ValidateResourcePolicyCommandInput,
  ValidateResourcePolicyCommandOutput,
} from "../commands/ValidateResourcePolicyCommand";
export declare const se_CancelRotateSecretCommand: (
  input: CancelRotateSecretCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_CreateSecretCommand: (
  input: CreateSecretCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteResourcePolicyCommand: (
  input: DeleteResourcePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DeleteSecretCommand: (
  input: DeleteSecretCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_DescribeSecretCommand: (
  input: DescribeSecretCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetRandomPasswordCommand: (
  input: GetRandomPasswordCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetResourcePolicyCommand: (
  input: GetResourcePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_GetSecretValueCommand: (
  input: GetSecretValueCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSecretsCommand: (
  input: ListSecretsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ListSecretVersionIdsCommand: (
  input: ListSecretVersionIdsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutResourcePolicyCommand: (
  input: PutResourcePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_PutSecretValueCommand: (
  input: PutSecretValueCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RemoveRegionsFromReplicationCommand: (
  input: RemoveRegionsFromReplicationCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ReplicateSecretToRegionsCommand: (
  input: ReplicateSecretToRegionsCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RestoreSecretCommand: (
  input: RestoreSecretCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_RotateSecretCommand: (
  input: RotateSecretCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_StopReplicationToReplicaCommand: (
  input: StopReplicationToReplicaCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_TagResourceCommand: (
  input: TagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UntagResourceCommand: (
  input: UntagResourceCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateSecretCommand: (
  input: UpdateSecretCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_UpdateSecretVersionStageCommand: (
  input: UpdateSecretVersionStageCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const se_ValidateResourcePolicyCommand: (
  input: ValidateResourcePolicyCommandInput,
  context: __SerdeContext
) => Promise<__HttpRequest>;
export declare const de_CancelRotateSecretCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CancelRotateSecretCommandOutput>;
export declare const de_CreateSecretCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<CreateSecretCommandOutput>;
export declare const de_DeleteResourcePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteResourcePolicyCommandOutput>;
export declare const de_DeleteSecretCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DeleteSecretCommandOutput>;
export declare const de_DescribeSecretCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<DescribeSecretCommandOutput>;
export declare const de_GetRandomPasswordCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetRandomPasswordCommandOutput>;
export declare const de_GetResourcePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetResourcePolicyCommandOutput>;
export declare const de_GetSecretValueCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<GetSecretValueCommandOutput>;
export declare const de_ListSecretsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSecretsCommandOutput>;
export declare const de_ListSecretVersionIdsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ListSecretVersionIdsCommandOutput>;
export declare const de_PutResourcePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutResourcePolicyCommandOutput>;
export declare const de_PutSecretValueCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<PutSecretValueCommandOutput>;
export declare const de_RemoveRegionsFromReplicationCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RemoveRegionsFromReplicationCommandOutput>;
export declare const de_ReplicateSecretToRegionsCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ReplicateSecretToRegionsCommandOutput>;
export declare const de_RestoreSecretCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RestoreSecretCommandOutput>;
export declare const de_RotateSecretCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<RotateSecretCommandOutput>;
export declare const de_StopReplicationToReplicaCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<StopReplicationToReplicaCommandOutput>;
export declare const de_TagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<TagResourceCommandOutput>;
export declare const de_UntagResourceCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UntagResourceCommandOutput>;
export declare const de_UpdateSecretCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSecretCommandOutput>;
export declare const de_UpdateSecretVersionStageCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<UpdateSecretVersionStageCommandOutput>;
export declare const de_ValidateResourcePolicyCommand: (
  output: __HttpResponse,
  context: __SerdeContext
) => Promise<ValidateResourcePolicyCommandOutput>;
